Subject: bug#77228: closed (Re: bug#77228: [PATCH] Create major mode for `customize-dirlocals`)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Apr 2025 12:09:02 +0000

Your bug report

#77228: [PATCH] ; * lisp/cus-edit.el (custom-dirlocals-with-buffer): Use Custom-mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77228: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77228
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77228: [PATCH] Create major mode for `customize-dirlocals`
From: Eli Zaretskii <[email-masked]>
To: Mauro Aranda <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 24 Apr 2025 15:08:37 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 24 Apr 2025 07:44:42 -0300
> Cc: [email-masked]
> From: Mauro Aranda <[email-masked]>
> 
> Elijah Gabe Pérez <[email-masked]> writes:
> 
>  > Eli Zaretskii writes:
>  >
>  >  > Cc: [email-masked]
>  >  > From: Elijah Gabe Pérez <[email-masked]>
>  >  > Date: Fri, 04 Apr 2025 22:39:59 -0600
>  >  >
>  >  > > Let's see if somebody else has an opinion. I'm on a trip for the
>  >  > > weekend, so it won't be until next week that I can install this.
>  >  >
>  >  > Don't worry, take your time.
>  >
>  >  Ping!  Any progress here?
>  >
>  > Well, the patch is ready to install, I'm waiting Mauro's review.
> 
> Code changes look good to me.  Please remember to add a mention to the
> bug number in the commit log message.
> 
> Currently, I don't have good access to internet, so I'd appreciate if
> someone else can install the patch, to not delay this further.

Thanks, done.

Subject: [PATCH] ; * lisp/cus-edit.el (custom-dirlocals-with-buffer): Use Custom-mode
From: Elijah Gabe Pérez <[email-masked]>
To: [email-masked]
Date: Sun, 23 Mar 2025 21:45:51 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Tags: patch

Little patch for make =customize-dirlocals= use =Custom-mode= instead
=fundamental-mode=, Mostly intended for make this inherit and use
=Custom-mode-hook=.

I have tested it and at the moment it does not cause problems with the
configuration made.

>From e3e488c4994db80a07f6efb49d57201f1468fecd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?El=C3=ADas=20Gabriel=20P=C3=A9rez?= <[email-masked]>
Date: Sun, 23 Mar 2025 21:26:26 -0600
Subject: [PATCH] ; * lisp/cus-edit.el (custom-dirlocals-with-buffer): Use
 Custom-mode

---
 lisp/cus-edit.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/cus-edit.el b/lisp/cus-edit.el
index ecfce03e490..52808aa8ee0 100644
--- a/lisp/cus-edit.el
+++ b/lisp/cus-edit.el
@@ -6070,6 +6070,7 @@ custom-dirlocals-with-buffer
      (let ((inhibit-read-only t))
        (erase-buffer))
      (remove-overlays)
+     (Custom-mode)
      (custom-dirlocals--set-widget-vars)
      ,@body
      (setq-local tool-bar-map
-- 
2.49.0

-- 
                                          - E.G via GNU Emacs and Org.